<script setup lang="ts">
import { useUserStore } from '@/stores/user';
import UsersTable from './UsersTable.vue';

const userStore = useUserStore()
</script>
<template>
  <v-container>
         
         <v-row  no-gutters>
          <v-row no-gutters style="padding-bottom: 20px;">
              <v-col cols="12" md="5" >
                  <v-text-field
                  v-model="userStore.search"
                  density="compact"
                  variant="solo"
                  label="Search User"
                  append-inner-icon="mdi-magnify"
                  single-line
                  hide-details
                 
                  style="width: 200px;"
                  >
                  </v-text-field>
              </v-col>
              <v-col cols="12" md="5" style="padding-top: 0px; "  >
              <div><v-btn prepend-icon="mdi-plus" style="margin-left: 550px ;background-color: #47BB59;" @click="userStore.openDialog">User Add</v-btn></div>  
              </v-col>
          </v-row>
           <v-sheet width="1250" height="526" style="background-color: #E7D0B9; border: rgb(112, 73, 31) solid 3px;">
            <UsersTable/>
           </v-sheet>
           
         </v-row>   
    </v-container>
  </template>
  
  <style scoped>
  
  </style>
